<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<assembly xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
					xmlns="http://maven.apache.org/ASSEMBLY/2.1.1"
					xsi:schemaLocation="http://maven.apache.org/ASSEMBLY/2.1.1 https://maven.apache.org/xsd/assembly-2.1.1.xsd">
	<id>files</id>
	<formats>
		<format>zip</format>
	</formats>
	<includeBaseDirectory>false</includeBaseDirectory>

	<fileSets>
		<!-- Electron executable & resources -->
		<fileSet>
			<fileMode>0644</fileMode>
			<directoryMode>0755</directoryMode>
			<directory>${project.basedir}/../direct-trust-tool-frontend/target/electron/win-unpacked</directory>
			<outputDirectory/>
		</fileSet>
		<!-- OpenJDK jre -->
		<fileSet>
			<fileMode>0644</fileMode>
			<directoryMode>0755</directoryMode>
			<directory>${project.build.directory}/install/OpenJDK-win64/${openjdk-jre.version}</directory>
			<excludes>
				<exclude>${openjdk-jre.version}/conf/security/java.security</exclude>
			</excludes>
			<outputDirectory>embedded-jre</outputDirectory>
		</fileSet>
	</fileSets>

	<files>
		<!-- Backend jar -->
		<file>
			<source>${project.basedir}/../direct-trust-tool-backend/target/direct-trust-tool-backend-${project.version}-runnable.jar</source>
			<outputDirectory/>
			<destName>direct-trust-tool-backend.jar</destName>
			<fileMode>0644</fileMode>
		</file>
		<!-- Properties file -->
		<file>
			<source>${project.basedir}/resources/application.properties</source>
			<outputDirectory/>
			<fileMode>0644</fileMode>
		</file>
		<!-- Java security -->
		<file>
			<source>${project.basedir}/../../../security/windows/java.security</source>
			<outputDirectory>embedded-jre/conf/security</outputDirectory>
			<fileMode>0644</fileMode>
		</file>
	</files>
</assembly>
